Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » Papyrus Designer dependencies
Papyrus Designer dependencies [message #1754059] Tue, 14 February 2017 08:30 Go to next message
Ismael Soulama is currently offline Ismael SoulamaFriend
Messages: 39
Registered: November 2016
Member
Hello,
I'm developping a plugin to generate code on papyrus. It depend on papyrus.designer. In mu MANIFEST.MF file, I add "org.eclipse.papyrus.designer.languages.common.base 1.0.3", but when build with Maven-Tycho, I get this:

[ERROR]   Missing requirement: org.eclipse.papyrus.designer.languages.common.base 1.0.3 requires 'bundle org.eclipse.papyrus.designer.languages.common.profile 0.7.1' but it could not be found


So, on the update site
https://repo.eclipse.org/content/repositories/papyrus-releases/org/eclipse/papyrus/designer/
Version 1.0.3 is available. Why is it requiring 0.7.1?

When I add "org.eclipse.papyrus.designer.languages.common.profile 1.0.3" in MANIFEST.MF, it's not found.
Did someone have an idea?
Re: Papyrus Designer dependencies [message #1754227 is a reply to message #1754059] Wed, 15 February 2017 14:23 Go to previous messageGo to next message
Ansgar Radermacher is currently offline Ansgar RadermacherFriend
Messages: 229
Registered: March 2011
Location: Paris Saclay, France
Senior Member
HI Ismael.

Both common.base and common.profile are at version 1.0.3 (if taken from the update site or 1.0.4 in git). The former requires "only" version 0.7.1 of the common profile, since version 0.7.1 already had everything that it needs.
Requiring a higher version should not be necessary, i.e. both variants should compile.
How did you install designer (source from git or update-site)? How do you compile? (using mvn install?)
Re: Papyrus Designer dependencies [message #1754248 is a reply to message #1754227] Wed, 15 February 2017 17:36 Go to previous message
Ismael Soulama is currently offline Ismael SoulamaFriend
Messages: 39
Registered: November 2016
Member
I install it by update site, and compile with mvn verify.
Now on Eclipse, every thinghs is OK. But o a maven console, seams like it can't find the update site.

Another question: After that, when my plugin will be build, how did it find the update site when installing? Is there a way to embed the Designer update site's URL in a plugin?
Previous Topic:All In One Update Site
Next Topic:Create stereotyped State inside a State
Goto Forum:
  


Current Time: Fri Jan 24 18:43:04 GMT 2020

Powered by FUDForum. Page generated in 0.01459 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top